org.eclipse.cdt.core.model

## Class ElementChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.cdt.core.model.ElementChangedEvent

All Implemented Interfaces:
  Serializable

    public class ElementChangedEvent
    extends EventObject

An element changed event describes a change to the structure or contents of a tree of C elements. The changes to the elements are described by the associated delta object carried by this event.

See Also:
  `IElementChangedListener`, `ICElementDelta`, Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static int` `POST_CHANGE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more C element(s) expressed as a hierarchical C element delta as returned by `getDelta()`.
`static int` `POST_RECONCILE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more C element(s) expressed as a hierarchical C element delta as returned by `getDelta`.
`static int` `POST_SHIFT` Event type constant indicating the following: Source text is changed somewhere in function body No global data affected for any C element but element offsets should be recalculated now.
`static int` `PRE_AUTO_BUILD` Deprecated. - no longer used, such deltas are now notified during POST_CHANGE

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ElementChangedEvent(ICElementDelta delta, int type)` Creates an new element changed event (based on a `ICElementDelta`).

### Method Summary

All Methods Instance Methods Concrete Methods
`ICElementDelta` `getDelta()` Returns the delta describing the change.
`int` `getType()` Returns the type of event being reported.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### POST_CHANGE

    public static final int POST_CHANGE

Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more C element(s) expressed as a hierarchical C element delta as returned by `getDelta()`. Note: this notification occurs during the corresponding POST_CHANGE resource change notification, and contains a full delta accounting for any CModel operation and/or resource change.

Since:
  2.0
See Also:
  `ICElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

#### PRE_AUTO_BUILD

    @Deprecated
    public static final int PRE_AUTO_BUILD

Deprecated. - no longer used, such deltas are now notified during POST_CHANGE
Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more C element(s) expressed as a hierarchical C element delta as returned by `getDelta`. Note: this notification occurs during the corresponding PRE_AUTO_BUILD resource change notification. The delta, which is notified here, only contains information relative to the previous CModel operations (in other words, it ignores the possible resources which have changed outside C operations). In particular, it is possible that the CModel be inconsistent with respect to resources, which got modified outside CModel operations (it will only be fully consistent once the POST_CHANGE notification has occurred).

Since:
  2.0
See Also:
  `ICElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

#### POST_RECONCILE

    public static final int POST_RECONCILE

Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more C element(s) expressed as a hierarchical C element delta as returned by `getDelta`. Note: this notification occurs as a result of a working copy reconcile operation.

Since:
  2.0
See Also:
  `ICElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

#### POST_SHIFT

    public static final int POST_SHIFT

Event type constant indicating the following: Source text is changed somewhere in function body No global data affected for any C element but element offsets should be recalculated now. Note: usually, CShifData object is sent with this event as ICElementDelta

See Also:
  `CShiftData`, Constant Field Values

### Constructor Detail

#### ElementChangedEvent

    public ElementChangedEvent(ICElementDelta delta,
                               int type)

Creates an new element changed event (based on a `ICElementDelta`).

Parameters:
  `delta` - the C element delta.

### Method Detail

#### getDelta

    public ICElementDelta getDelta()

Returns the delta describing the change.

#### getType

    public int getType()

Returns the type of event being reported.

Returns:
  one of the event type constants
Since:
  2.0
See Also:
  `POST_CHANGE`, `PRE_AUTO_BUILD`, `POST_RECONCILE`